PostNUKE Security Fix

Patched the site today based on PostNuke Security Advisory PNSA 2005-1. More info here.